LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 03-25-2010, 04:38 AM   #1
spidy402
LQ Newbie
 
Registered: Sep 2008
Posts: 5

Rep: Reputation: 0
Unhappy how to upgrade samba in ubuntu


Hello to everyone
I want to upgrade my current samba 3.4 version to 3.5.
I try my best to search on other linux forum but not get simple steps solution of upgrading samba version....

Thanks for any comments.

---spidy
 
Old 03-25-2010, 10:28 AM   #2
UnderV
Member
 
Registered: Mar 2010
Posts: 38

Rep: Reputation: 18
Maybe I'm wrong, but there is no official Ubuntu package of Samba 3.5 in repositories yet.

You have two options:
1. Wait for official package
2. Compile new samba Yourself
3. Use untrusted sources

If waiting or compiling isn't solution (time is money :) ) then you could use untrusted repository.

At first I will write big warning to not be responsible if something happen with Your system :) :
I DOESN'T TEST THIS REPOSITORY. USE IT AT YOUR OWN RISK.

Then check Your Ubuntu version.
This package is designed for Ubuntu 9.10.

If everything is ok then prepare 3 easy steps:
1. Add repository:
sudo add-apt-repository ppa:polslinux/ppa

2. Update package list:
sudo apt-get update

3. Then upgrade samba:
sudo apt-get upgrade samba

Thats all.

Repository info: https://launchpad.net/~polslinux/+archive/ppa
 
Old 03-31-2010, 05:46 AM   #3
spidy402
LQ Newbie
 
Registered: Sep 2008
Posts: 5

Original Poster
Rep: Reputation: 0
Thanks for replay "UnderV". Let me check and replay to you.
 
Old 05-27-2010, 05:19 PM   #4
jedipenguin
LQ Newbie
 
Registered: Feb 2008
Posts: 1

Rep: Reputation: 0
I'm finding this same "problem": Ubuntu 10.04 server comes with samba 3.4, and I'd like to upgrade to 3.5.3, and can't find it in a repository. I've tried adding the suggested one above with additional info from https://launchpad.net/~polslinux/+archive/ppa, but Synaptic won't "find" it--I haven't tried the manual add yet.

Is there some reason Ubuntu doesn't make this update available as a pkg in a regular repository? Is there some problem with it and 10.04 Server?
 
  


Reply

Tags
samba, upgrade


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
LXer: Upgrade Ubuntu 9.04 (Jaunty Jackalope) to Ubuntu 9.10 (Karmic Koala) Beta LXer Syndicated Linux News 0 10-12-2009 08:50 AM
LXer: Upgrade Ubuntu 7.04 (Feisty Fawn) to Ubuntu 7.10 (Gutsy Gibbon) LXer Syndicated Linux News 1 03-28-2009 02:17 PM
LXer: Simple Guide How to Upgrade Ubuntu 8.04 (Hardy Heron) to Ubuntu 8.10 (Intrepid LXer Syndicated Linux News 0 10-31-2008 11:50 AM
LXer: Upgrade Ubuntu 7.10 (Gutsy Gibbon) to Ubuntu 8.04 LTS (Hardy Heron) Beta LXer Syndicated Linux News 0 03-26-2008 08:30 PM
Using dist-upgrade to upgrade from Debian to Ubuntu jcbparry Debian 8 09-13-2007 08:25 AM


All times are GMT -5. The time now is 11:44 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration